Subject: Authenticated Acess on cygwin

From: "Tantaoui, Omar" <[email-masked]>
Date: Tue, 6 Aug 2002 11:00:40 +0100

Hi,

I'm using Apache + mod_ssl on cygwin platform.

I want to restrict access to authenticated users, so I wrote in httpd.conf:

<VirtualHost _default_:8082>
    SSLEngine on
    SSLCertificateFile conf/ssl.crt/CAWebCert.pem
    SSLCertificateKeyFile conf/ssl.key/CAWebKey.pem
    SSLCACertificatePath conf/ssl.crt
    SSLCACertificateFile conf/ssl.crt/cacert.pem    
    SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown

    <Location />
       SSLVerifyClient require
       SSLVerifyDepth 2    
       SSLRequire %{SSL_CLIENT_S_DN_C} eq "FR" and  %{SSL_CLIENT_S_DN_O} eq
"StorageTek" and \
          %{SSL_CLIENT_S_DN_CN} eq "Omar Tantaoui"
    </Location>

    ServerAdmin [email-masked]
    DocumentRoot "/usr/local/apache/htdocs/ra"
    ServerName tou-ws-sd2138
    ErrorLog logs/raserver-error.log
    CustomLog logs/raserver-access.log common
    ScriptAlias /cgi-bin/ /usr/local/apache/cgi-bin/
</VirtualHost> 

But i got the following error:
[Tue Aug  6 11:56:39 2002] [error] mod_ssl: Re-negotiation handshake failed:
Not accepted by client!?
[Tue Aug  6 11:56:39 2002] [error] mod_ssl: SSL error on writing data
(OpenSSL library error follows)
[Tue Aug  6 11:56:39 2002] [error] OpenSSL: error:140890C7:SSL
routines:SSL3_GET_CLIENT_CERTIFICATE:peer did not return a certificate
[Hint: No CAs known to server for verification?]

I don't what does it mean.

What's wrong with my httpd.conf ?

Regards

Omar Tantaoui